/*********************************************************************
*                    SEGGER Microcontroller GmbH                     *
*                        The Embedded Experts                        *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------

File    : main.c
Purpose : Generic application start

*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

volatile char data_a[] = {
  "Execute Program A \n"
};

volatile char data_b[] = {
  "Execute Program B \n"
};


/*********************************************************************
*
*       main()
*
*  Function description
*   Application entry point.
*/
int main(void) {
  char cmp_data[20] = "Execute Program A \n";

  if (strncmp(cmp_data, data_a, sizeof(cmp_data)) == 0) {
    printf("A\n");
  } else if (strncmp(cmp_data , data_b , sizeof(cmp_data)) == 0 ) {
    printf("B\n");
  }
}

/*************************** End of file ****************************/
